\name{makeRserveCluster}
\alias{makeRserveCluster}
\title{
  Create workers in a Rserve cluster by connecting to it.
}
\description{
  \code{makeRserveCluster} is creates a cluster to be used with
  parallel/snow which consists of usually multiple connections to
  machines running Rserve.
}
\usage{
makeRserveCluster(names, ...)
}
\arguments{
  \item{names}{Either a character vector of host names of machines
    running Rserve to which to connect, or a positive integer (in which
    case that number of connections is made to "localhost"). If
    \code{port} option is set to 0 then names will be interpreted as
    unix socket paths (where supported). Mutliple listings are possible
    (and often desirable to achieve multi-core processing).}
  \item{\dots}{additional cluster options to set.}
}
\details{
  \code{makeRserveCluster} creates a cluster which is recognized by the
  \code{parallel}. It connects to Rserve instances on the given
  hosts and all cluster operations essentially send asynchronous
  \code{eval} commands to the connected instances.

  \code{Rserve} instances have a huge benefit that they incur no
  startup cost and that both code and data and be pre-loaded.
}
\value{
  Returns and object of the class \code{RserveCluster} which is
  essentially a list of \code{RserveNode} objects.
}
%\references{
%}
\author{
  Simon Urbanek
}
\note{
  Rserve instances must have the \code{Rserve.cluster} package at their
  disposal. It is also most efficient if the package is already loaded
  in the master instance (eg.e via "eval library(Rserve.cluster)" in the
  configuration file).
}
%\seealso{
%}
%\examples{
%}
\keyword{utilities}
